<?php
/**
* @file
* @brief    Liturgical (Christian) year module.
* @package  mod_liturgicalyear
* @author   Levente Hunyadi
* @version  1.0.5
* @remarks  Copyright (C) 2009-2011 Levente Hunyadi
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://hunyadi.info.hu/projects/liturgicalyear
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

if (empty($solemnities['events'])) {
	print JText::_('LITYEAR_NO_EVENTS');
} else {
	$config = JFactory::getConfig();
	$timezone = new DateTimeZone($config->get('offset'));  // get timezone from configuration

	jimport('joomla.utilities.date');  // JDate
	$date = $solemnities['date'];
	$show_days = $solemnities['show_days'];
	$show_date = $solemnities['show_date'];

	foreach ($solemnities['events'] as $solemnity_date => $solemnity) {
		$days = $solemnity_date - $date;
		print '<p>';
		if ($days == 0) {
			print '<b>'.JText::_('LITYEAR_'.$solemnity).'</b>';  // show current event in bold
		} else {
			print JText::_('LITYEAR_'.$solemnity);  // show earlier and upcoming events in regular
			if ($show_date || $show_days) {
				print '<br/><span style="font-size: smaller">(';
				if ($show_date) {
					list($gmonth, $gday, $gyear) = explode('/', jdtogregorian($solemnity_date));  // convert Julian day count to Gregorian date (both in local time)
					$jdate = JFactory::getDate(sprintf('%04d-%02d-%02dT12:00:00', $gyear, $gmonth, $gday), 'UTC');
					$jdate->setTimezone($timezone);
					print $jdate->format(JText::_('DATE_FORMAT_LC'), true);  // use local time in formatting
				}
				if ($show_date && $show_days) {
					print ', ';
				}
				if ($show_days) {
					if ($days < -1) {
						printf(JText::_('LITYEAR_X_DAYS_EARLIER'),-$days);
					} elseif ($days == -1) {
						print JText::_('LITYEAR_1_DAY_EARLIER');
					} elseif ($days == 1) {
						print JText::_('LITYEAR_1_DAY_LATER');
					} elseif ($days > 1) {
						printf(JText::_('LITYEAR_X_DAYS_LATER'),$days);
					}
				}
				print ')</span>';
			}
		}
		print '</p>';
	}
}
?>